> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List comments

> List comments for a thread, plannedTask or for an entity reference



## OpenAPI

````yaml GET /discussion/v1/comments
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /discussion/v1/comments:
    get:
      tags:
        - Comments
      summary: List comments
      description: List comments for a thread, plannedTask or for an entity reference
      operationId: ListComments
      parameters:
        - in: query
          name: plannedTaskId
          description: id of the planned task
          schema:
            type: string
          required: false
        - in: query
          name: commentId
          description: id of the comment
          schema:
            type: string
          required: false
        - in: query
          name: threadId
          description: id of the comment thread
          schema:
            type: string
          required: false
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        author:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            firstName:
                              type: string
                            lastName:
                              type: string
                        thread:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                        entityReference:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            type:
                              type: string
                              example: plannedTaskId
                        comment:
                          type: string
                          example: comment to create
                        createdAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                        updatedAt:
                          type: string
                          format: Y-m-dTH:i:sP
                          example: '2020-01-01T10:00:00+01:00'
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````